<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>


  <div>
  
    <template v-if="title && !subtitle">
      <div style="background: rgba(128, 128, 128, 0.2); border-radius:5px; padding-left:5px">
        <v-row justify="space-between" align="center" dense>
          <v-col cols="7">
            <div style="padding-left:10px" class="header text-h5" v-if="title!=''">{{title}} <Tip v-if="description && false" :text="description"/></div>
          </v-col>
          <v-col cols="5">
            <v-card-actions>
              <v-spacer></v-spacer>
              <slot></slot>
            </v-card-actions>
          </v-col>
        </v-row>
        <v-row justify="space-between" align="center" dense v-if="description">
          <v-col cols="12">
            <div class="text--secondary sub" style="font-size:11pt; position:relative; top: -5px; background:transparent" v-if="description!=''">{{description}}</div >
          </v-col>
        </v-row>
      </div>
    </template>

    <template v-if="!title && subtitle">
      <div style="margin-left:5px" class="header sub text-h6" v-if="subtitle!=''" >
        {{subtitle}} <Tip v-if="description && descriptionAsHint" :text="description"/>
        <div class="text--secondary " style="font-weight:normal; font-size:11pt;" v-if="description && !descriptionAsHint">{{description}}</div >
      </div>
    </template>
    
  </div>

  


</template>

<script>

//  title + buttons
//  description

//  subtitle + (hint)

//  subtitle
//  description

import Tip from './Tip.vue';

export default {

  name: 'CommonHeader',

  components: {
    Tip
  },

  props: {
    title: {
      type: String,
      default: ''
    },
    subtitle: {
      type: String,
      default: ''
    },
    description: {
      type: String,
      default: ''
    },
    descriptionAsHint: {
      type: Boolean,
      default: true
    }
  },

};

</script>
  
<style>

div.header {
  xpadding:5px;
  border-radius:5px;
  xbackground: rgba(128, 128, 128, 0.1);
}

div.sub {
  margin-top:5px;
  padding-left:10px;
  border-radius:5px;
  background: rgba(128, 128, 128, 0.1);;
}

</style>